org.apache.hadoop.yarn.api.records.timeline

## Class TimelineAbout

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timeline.TimelineAbout

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class TimelineAbout
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineAbout()`
    `TimelineAbout(String about)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbout()`
    `String` | `getHadoopBuildVersion()`
    `String` | `getHadoopVersion()`
    `String` | `getHadoopVersionBuiltOn()`
    `String` | `getTimelineServiceBuildVersion()`
    `String` | `getTimelineServiceVersion()`
    `String` | `getTimelineServiceVersionBuiltOn()`
    `void` | `setAbout(String about)`
    `void` | `setHadoopBuildVersion(String hadoopBuildVersion)`
    `void` | `setHadoopVersion(String hadoopVersion)`
    `void` | `setHadoopVersionBuiltOn(String hadoopVersionBuiltOn)`
    `void` | `setTimelineServiceBuildVersion(String timelineServiceBuildVersion)`
    `void` | `setTimelineServiceVersion(String timelineServiceVersion)`
    `void` | `setTimelineServiceVersionBuiltOn(String timelineServiceVersionBuiltOn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineAbout

          public TimelineAbout()

    - #### TimelineAbout

          public TimelineAbout(String about)

  - ### Method Detail

    - #### getAbout

          public String getAbout()

    - #### setAbout

          public void setAbout(String about)

    - #### getTimelineServiceVersion

          public String getTimelineServiceVersion()

    - #### setTimelineServiceVersion

          public void setTimelineServiceVersion(String timelineServiceVersion)

    - #### getTimelineServiceBuildVersion

          public String getTimelineServiceBuildVersion()

    - #### setTimelineServiceBuildVersion

          public void setTimelineServiceBuildVersion(String timelineServiceBuildVersion)

    - #### getTimelineServiceVersionBuiltOn

          public String getTimelineServiceVersionBuiltOn()

    - #### setTimelineServiceVersionBuiltOn

          public void setTimelineServiceVersionBuiltOn(String timelineServiceVersionBuiltOn)

    - #### getHadoopVersion

          public String getHadoopVersion()

    - #### setHadoopVersion

          public void setHadoopVersion(String hadoopVersion)

    - #### getHadoopBuildVersion

          public String getHadoopBuildVersion()

    - #### setHadoopBuildVersion

          public void setHadoopBuildVersion(String hadoopBuildVersion)

    - #### getHadoopVersionBuiltOn

          public String getHadoopVersionBuiltOn()

    - #### setHadoopVersionBuiltOn

          public void setHadoopVersionBuiltOn(String hadoopVersionBuiltOn)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.